using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Requests.Train
{
    public record TrainPlanPagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 培训计划编码
        /// </summary>
        [Description("培训计划编码")]
        public string Code { get; set; }

        /// <summary>
        /// 培训计划标题
        /// </summary>
        [Description("培训计划标题")]
        public string Name { get; set; }

        /// <summary>
        /// 培训模版Ids
        /// </summary>
        [Description("培训模版Ids")]
        public List<string> TrainTemplateIds { get; set; }

        /// <summary>
        /// 最小开始时间
        /// </summary>
        [Description("最小开始时间")]
        public DateTime? MinStartTime { get; set; }

        /// <summary>
        /// 最大开始时间
        /// </summary>
        [Description("最大开始时间")]
        public DateTime? MaxStartTime { get; set; }
    }
}
